Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class SyspathJavaLoader

    java.lang.Object
      java.lang.ClassLoader
          org.python.core.SyspathJavaLoader

    public class SyspathJavaLoader

extends ClassLoader

Constructor Summary
`SyspathJavaLoader()`

Method Summary
`InputStream` | `getResourceAsStream(String res)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyspathJavaLoader

    public SyspathJavaLoader()

Method Detail

### getResourceAsStream

    public InputStream getResourceAsStream(String res)

  Overrides:
    `getResourceAsStream` in class `ClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage